#Keep genes on death
keepGenesOnDeath = true
#When a cooldown ends, it notifies the player, unless the cooldown is shorter than this value (in ticks)
# Default: 1200
# Range: > 1
minimumCooldownForNotification = 1200
#How far should the Antifield Block prevent Item/XP Magnet Genes from working (in blocks)
# Default: 25
# Range: > 1
antifieldBlockRadius = 25

[machines]
	#How much energy should the Coal Generator be able to store
	# Default: 100000
	# Range: > 1
	coalGeneratorEnergyCapacity = 100000
	#How much energy should the Coal Generator be able to transfer per tick
	# Default: 256
	# Range: > 1
	coalGeneratorEnergyTransferRate = 256
	#How much energy should the Coal Generator generate per tick (1 item takes 200 ticks to burn in a Furnace)
	# Default: 6
	# Range: > 1
	coalGeneratorEnergyPerTick = 6
	#How many ticks should the Incubator take to brew a potion? A vanilla brewing stand takes 400 ticks
	# Default: 200
	# Range: > 1
	incubatorTicksPerBrew = 200
	#How many times slower should the Advanced Incubator be when it's at low temperature? Default is 120, which makes it take a full Minecraft day (excluding Overclockers)
	# Default: 120
	# Range: > 1
	incubatorLowTempTickFactor = 120
	#How much should each Overclocker decrease the success rate of GMO recipes? Equation is `decreasedChance = geneChance * (1 - (overclockerCount * incubatorOverclockerChanceDecrease))`
	# Default: 0.1
	# Range: 0.0 ~ 1.0
	incubatorOverclockerChanceDecrease = 0.1
	#How much should each Chorus Fruit increase the success rate of GMO recipes? Equation is `finalChance = decreasedChance 
	# Default: 0.1
	# Range: 0.0 ~ 1.0
	incubatorChorusFruitChanceIncrease = 0.1

[genes]
	#Set true to prevent players from being given negative genes
	disableGivingPlayersNegativeGenes = false
	#How long should light sources from the Bioluminescence gene last (in ticks)
	# Default: 600
	# Range: > 1
	bioluminescenceDuration = 600
	#How often entities with the Bioluminescence gene should emit light (in ticks)
	# Default: 10
	# Range: > 1
	bioluminescenceCooldown = 10
	#How many ticks to wait before someone with the Lay Egg gene lays an egg again
	# Default: 6000
	# Range: > 1
	eggCooldown = 6000
	#What probability should the Claws gene have (doubled if the player has Claws 2 gene)
	# Default: 0.33
	# Range: 0.0 ~ 1.0
	clawsBaseChance = 0.33
	#How much damage to deal when the Claws gene procs
	# Default: 8.0
	# Range: 0.0 ~ 1.7976931348623157E308
	clawsDamage = 8.0
	#What probability should the Chill gene have
	# Default: 0.75
	# Range: 0.0 ~ 1.0
	chillChance = 0.75
	#How long should the Chill gene slow entities down for (in ticks)
	# Default: 300
	# Range: > 1
	chillDuration = 300
	#How many ticks to wait before the Emerald Heart gene can proc again
	# Default: 1200
	# Range: > 1
	emeraldHeartCooldown = 1200
	#What probability should there be of making a Villager sound when you send a chat message with Emerald Heart?
	# Default: 0.4
	# Range: 0.0 ~ 1.0
	emeraldHeartChatChance = 0.4
	#How many ticks to wait before someone with the Dragon's Breath gene can breathe fire again
	# Default: 100
	# Range: > 1
	dragonsBreathCooldown = 100
	#How often should the Item Magnet gene attract items (in ticks)
	# Default: 10
	# Range: > 1
	itemMagnetCooldown = 10
	#How far should the Item Magnet gene attract items (in blocks)
	# Default: 8.0
	# Range: 1.0 ~ 1.7976931348623157E308
	itemMagnetRadius = 8.0
	#How much should the Johnny gene multiply damage by, when using an Axe?
	# Default: 1.25
	# Range: 0.0 ~ 1.7976931348623157E308
	johnnyAttackMultiplier = 1.25
	#How many ticks to wait before someone with the Meaty gene can be sheared again
	# Default: 1200
	# Range: > 1
	meatyCooldown = 1200
	#How many ticks to wait before someone with the Meaty 2 gene drops meat again
	# Default: 6000
	# Range: > 1
	meaty2Cooldown = 6000
	#How many ticks to wait before someone with the Milky gene can be milked again
	# Default: 1
	# Range: > 1
	milkyCooldown = 1
	#How far from the player should Mob Sight detect entities (in blocks)
	# Default: 32.0
	# Range: 1.0 ~ 1.7976931348623157E308
	mobSightRadius = 32.0
	#How often should the No Hunger gene check to reset hunger (in ticks)
	# Default: 80
	# Range: > 1
	noHungerCooldown = 80
	#What's the minimum hunger level to reset to
	# Default: 10
	# Range: 1 ~ 20
	noHungerMinimum = 10
	#How often should passive genes (potions, Flame, Lay Egg, Meaty 2) be checked for effects (in ticks)
	# Default: 40
	# Range: > 1
	passivesCheckCooldown = 40
	#How often entities with the Photosynthesis gene should regain hunger (in ticks)
	# Default: 600
	# Range: > 1
	photosynthesisCooldown = 600
	#How many ticks to wait before someone with the Slimy Death gene can spawn slimes again
	# Default: 12000
	# Range: > 1
	slimyDeathCooldown = 12000
	#How much health should entities who survive via Slimy Death regain upon death, as a percentage of their max health
	# Default: 0.5
	# Range: 0.0 ~ 1.0
	slimyDeathHealthMultiplier = 0.5
	#How often should Support Slimes check if they should despawn? They despawn if there's nothing to attack, or if they aren't near their owner.
	# Default: 20
	# Range: > 1
	slimyDeathDespawnCheckTimer = 20
	#How long should Support Slimes have to remain in valid despawning conditions before they actually despawn?
	# Default: 200
	# Range: > 1
	slimyDeathDespawnTime = 200
	#How many ticks to wait before someone with the Teleport gene can teleport again
	# Default: 20
	# Range: > 1
	teleportCooldown = 20
	#How far should the Teleport gene teleport the player, at maximum
	# Default: 10.0
	# Range: 1.0 ~ 1.7976931348623157E308
	teleportDistance = 10.0
	#What probability should the Thorns gene have
	# Default: 0.15
	# Range: 0.0 ~ 1.0
	thornsChance = 0.15
	#How much damage to deal back to the attacker when they hit a target with the Thorns gene
	# Default: 1.5
	# Range: 0.0 ~ 1.7976931348623157E308
	thornsDamage = 1.5
	#How much hunger to drain when the Thorns gene deals damage
	# Default: 1.0
	# Range: 0.0 ~ 1.7976931348623157E308
	thornsHungerDrain = 1.0
	#How fast should the player climb walls with the Wall Climbing gene
	# Default: 0.144
	# Range: 0.0 ~ 1.7976931348623157E308
	wallClimbSpeed = 0.144
	#How many ticks to wait before someone with the Wooly gene can be sheared again (skipped if they eat grass)
	# Default: 1200
	# Range: > 1
	woolyCooldown = 1200
	#How often should the XP Magnet gene attract XP orbs (in ticks)
	# Default: 10
	# Range: > 1
	xpMagnetCooldown = 10
	#How far should the XP Magnet gene attract XP orbs (in blocks)
	# Default: 8.0
	# Range: 1.0 ~ 1.7976931348623157E308
	xpMagnetRadius = 8.0
	#How much hunger to regain when the Photosynthesis gene procs
	# Default: 1
	# Range: > 0
	photosynthesisHungerAmount = 1
	#How much saturation to regain when the Photosynthesis gene procs
	# Default: 0.5
	# Range: 0.0 ~ 1.7976931348623157E308
	photosynthesisSaturationAmount = 0.5
	#How long should webs placed by the Web Defense gene last (in ticks)
	# Default: 80
	# Range: > 1
	webDefenseDuration = 80
	#What probability should the Web Defense gene have
	# Default: 0.05
	# Range: 0.0 ~ 1.0
	webDefenseChance = 0.05
